Name:           gsutil
Version:        3.38
Release:        %mkrel 1
Url:            https://developers.google.com/storage/docs/gsutil
Summary:        Access Google Cloud Storage from the command line
License:        ASL 2.0
Group:          Networking/Other
Source:         http://storage.googleapis.com/pub/%{name}_%{version}.tar.gz
Patch0:		gsutil_3.38-deps.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-setuptools

%description
gsutil is a Python application that lets you access Google Cloud Storage 
from the command line. You can use gsutil to do a wide range of bucket and
object management tasks, including:

- Creating and deleting buckets.
- Uploading, downloading, and deleting objects.
- Listing buckets and objects.
- Moving, copying, and renaming objects.
- Editing object and bucket ACLs.

%prep
%setup -q -n %{name}
%apply_patches

%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix %{_prefix} --root %{buildroot}

%files
%doc CHANGES.md README.md
%{_bindir}/%{name}
%{python_sitelib}/gslib
%{python_sitelib}/%{name}-%{version}*.egg-info


%changelog
* Mon Dec 09 2013 pterjan <pterjan> 3.38-1.mga4
+ Revision: 556004
- Soften dependency versions
- imported package gsutil

